package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import java.util.List;

/**
 * 对应数据库表(questionnaire_question):
 */
public class QuestionnaireQuestion {

	/**  */
	private Long id;
	
	/**  */
	private Integer questionnaireTopicId;
	
	/** 题目内容 */
	private String content;
	
	/** 题目类型（单选/多选/填空） */
	private String type;
	
	/** 排序 */
	private Integer sort = 0;
	
	/** 是否必填 */
	private int isRequire = 1;

	/** 问题描述 */
	private String desc;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	//需要删除的答案选项
	private List<Long> delQuestionnaireQuestionItemIdList;

	//题目答案选项
	private List<QuestionnaireQuestionItem> questionnaireQuestionItemList;


	public List<Long> getDelQuestionnaireQuestionItemIdList() {
		return delQuestionnaireQuestionItemIdList;
	}

	public void setDelQuestionnaireQuestionItemIdList(List<Long> delQuestionnaireQuestionItemIdList) {
		this.delQuestionnaireQuestionItemIdList = delQuestionnaireQuestionItemIdList;
	}

	public List<QuestionnaireQuestionItem> getQuestionnaireQuestionItemList() {
		return questionnaireQuestionItemList;
	}

	public void setQuestionnaireQuestionItemList(List<QuestionnaireQuestionItem> questionnaireQuestionItemList) {
		this.questionnaireQuestionItemList = questionnaireQuestionItemList;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setQuestionnaireTopicId(Integer questionnaireTopicId){
		this.questionnaireTopicId = questionnaireTopicId;
	}
	
	public Integer getQuestionnaireTopicId(){
		return this.questionnaireTopicId;
	}
			
	public void setContent(String content){
		this.content = content;
	}
	
	public String getContent(){
		return this.content;
	}
			
	public void setType(String type){
		this.type = type;
	}
	
	public String getType(){
		return this.type;
	}
			
	public void setSort(Integer sort){
		this.sort = sort;
	}
	
	public Integer getSort(){
		return this.sort;
	}

	public int getIsRequire() {
		return isRequire;
	}

	public void setIsRequire(int isRequire) {
		this.isRequire = isRequire;
	}

	public void setDesc(String desc){
		this.desc = desc;
	}
	
	public String getDesc(){
		return this.desc;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
